/*
 * Jagg Directory Anaylzer
 *
 * Copyright (C) 2002-2003, Jordan Reed <reedjd@bitsmart.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */
package net.chaosserver.jagg.swingui;

import java.awt.BorderLayout;
import java.awt.Dimension;

import java.io.File;

import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.JTable;


public class DirectoryPanel extends JPanel {
    public DirectoryPanel(File startDirectory) {
        BorderLayout borderLayout = new BorderLayout();
        setLayout(borderLayout);

        DirectoryTable directoryTable = new DirectoryTable(startDirectory);
        directoryTable.setPreferredScrollableViewportSize(
            new Dimension(500, 70));

        JScrollPane scrollPane = new JScrollPane(directoryTable);
        add(directoryTable);
    }
}
