/*
 * Jagg Directory Anaylzer
 *
 * Copyright (C) 2002-2003, Jordan Reed <reedjd@bitsmart.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */
package net.chaosserver.jagg.swingui;

import java.awt.BorderLayout;

import java.io.BufferedInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;

import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.JTextArea;


public class LicensePanel extends JPanel {
    public LicensePanel() {
        setLayout(new BorderLayout());

        InputStream inputStream = getClass().getResourceAsStream("/LICENSE");
        BufferedInputStream bufferedInputStream =
            new BufferedInputStream(inputStream);
        InputStreamReader inputStreamReader =
            new InputStreamReader(bufferedInputStream);

        StringBuffer licenseBuffer = new StringBuffer(8096);

        try {
            char[] cbuf = new char[2048];
            int read = inputStreamReader.read(cbuf, 0, cbuf.length);

            while (read >= 0) {
                licenseBuffer.append(cbuf);
                read = inputStreamReader.read(cbuf, 0, cbuf.length);
            }
        } catch (IOException e) {
            licenseBuffer = new StringBuffer();
        }

        JTextArea licenseArea = new JTextArea(licenseBuffer.toString());
        JScrollPane scrollPane = new JScrollPane(licenseArea);
        add(scrollPane);
    }
}
